Package uk.ac.starlink.vo

# Enum Class Vosi11TapMetaReader.DetailMode

java.lang.Object
java.lang.Enum<Vosi11TapMetaReader.DetailMode>
uk.ac.starlink.vo.Vosi11TapMetaReader.DetailMode

All Implemented Interfaces:
  `Serializable`, `Comparable<Vosi11TapMetaReader.DetailMode>`, `Constable`

Enclosing class:
  Vosi11TapMetaReader

public static enum Vosi11TapMetaReader.DetailMode extends Enum<Vosi11TapMetaReader.DetailMode>
Enumeration for detail-preference mode of table metadata queries.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAX`
Detail=max.
`MIN`
Detail=min.
`NULL`
No detail preference.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a description of the function described by this mode (one sentence, not capitalised).
`static Vosi11TapMetaReader.DetailMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Vosi11TapMetaReader.DetailMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MIN

public static final Vosi11TapMetaReader.DetailMode MIN
Detail=min. Hints that a full tableset query should return only tables no columns or fkeys.

### MAX

public static final Vosi11TapMetaReader.DetailMode MAX
Detail=max. Hints that a full tableset query should return columns and fkeys along with tables.

### NULL

public static final Vosi11TapMetaReader.DetailMode NULL
No detail preference. No hint to service whether column and fkey metadata is supplied along with tables.

## Method Details

### values

public static Vosi11TapMetaReader.DetailMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Vosi11TapMetaReader.DetailMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getDescription

public String getDescription()
Returns a description of the function described by this mode (one sentence, not capitalised).

Returns:
  description